/*
    Sidebar css codes
*/
.sidebar {
    position: fixed;
    left: 0px;
    top: 50px;
    bottom: 0px;
    background-color: $secondary-color;
    border-right: solid 1px darken( $secondary-color, 10%);
    padding: 20px 0;
    font-size: 32px;
    width: 230px;
    @include box-sizing(border-box);
    @include transition(width 300ms ease);

    &.sidebar-mini {
        width: 60px;
        
        .side-btn {
            width: 200px;

            span {
                display: none;
                left: 18px;
            }
            &:hover{
                span {
                    display: inline;
                    width: 170px;
                }
            }
        }
    }

    .side-btn {
        color: darken($secondary-color, 40%);
        padding: 6px 14px;
        display: block;
        text-decoration: none;
        overflow: hidden;
        height: 46px;
        @include box-sizing(border-box);

        span {
            font-size: 14px;
            font-family: Verdana, Geneva, Tahoma, sans-serif;
            display: inline;
            font-weight: bold;
            position: relative;
            top: -6px;
        }

        &:hover{
            padding-left: 11px;
            border-left: solid 3px $primary-color;
            color: darken($secondary-color, 60%);
            background-color: darken($secondary-color, 10%);
        }
        &:active{
            background-color: darken($secondary-color, 15%);            
        }
    }

    .pull-bottom {
        position: absolute;
        bottom: 0px;
    }
} 